Page MenuHomePhabricator

Strings of digits currently only search for PMIDs; Add multiple results and include OCLC and PMC in the search
Open, MediumPublic0 Story Points

Description

See a related request.
(I tried to create a citation with an OCLC number for fun: the system thinks it's a PMID, so I get a result, but not the one I wanted!
I used the first one listed in Template:OCLC, that is, 22239204.)

  • Use pmc
  • Use oclc

Details

Related Gerrit Patches:
mediawiki/services/citoid : masterEnable multiple results

Event Timeline

Elitre created this task.Oct 12 2015, 11:42 AM
Elitre raised the priority of this task from to Needs Triage.
Elitre updated the task description. (Show Details)
Elitre added a project: Citoid.
Elitre added a subscriber: Elitre.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2015, 11:42 AM
Mvolz changed the task status from Open to Stalled.Oct 12 2015, 1:57 PM
Mvolz set Security to None.
Mvolz added a subscriber: Mvolz.Oct 12 2015, 1:59 PM

I think you provided a good example of why this currently wouldn't work! We have absolutely no way to tell the difference between a pmid and an oclc number. So this really wouldn't work out. I could see maybe in the future expanding the api so you could tell the system which you were asking for, but that would make the corresponding ui too complicated, so I don't think we'd use that in the extension anyway...

Mvolz moved this task from Backlog to IO Tasks on the Citoid board.Jan 12 2016, 10:14 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 12 2016, 10:14 AM
Mvolz moved this task from IO Tasks to Service on the Citoid board.Oct 28 2016, 3:13 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 28 2016, 3:13 PM
Mvolz closed this task as Declined.Jan 9 2017, 2:11 PM
Mvolz renamed this task from Add support for OCLC numbers? to Add support for OCLC numbers.Jan 9 2017, 2:53 PM
Mvolz reopened this task as Open.

Now that we have access to worldcat api, this is definitely possible.

We could just request both the OCLC and the pubmed and return both results. The extension can handle that and multiple results are allowed by the service as well... we just have never done that yet. Seems like a good idea, Y/N?

Mvolz triaged this task as Medium priority.Jan 9 2017, 2:55 PM

+1. If we can do it, we should and let people decide which one they actually need.

Mvolz renamed this task from Add support for OCLC numbers to Strings of digits currently only search for PMIDs; Add multiple results and include OCLC and PMC in the search.Jan 11 2017, 4:28 PM
Mvolz claimed this task.
Mvolz removed Mvolz as the assignee of this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Very happy to see this happen, as and when.

Mvolz claimed this task.Jan 23 2017, 12:55 PM

Change 335008 had a related patch set uploaded (by Mvolz):
[WIP] Enable multiple results

https://gerrit.wikimedia.org/r/335008

Jdforrester-WMF set the point value for this task to 0.Feb 9 2017, 6:14 PM

Change of plans; as this is only for OCLC/PMC clashes for now, it's not a blocker.

Elitre updated the task description. (Show Details)Mar 15 2017, 10:23 AM

How would this work in practice though? We are pasting just strings without the identifiers' acronyms, would we get a dropdown that allows a choice, or? PMC=3359843 and PMID=3359843 are different articles. Should we allow specifying the identifier?

Change 335008 merged by jenkins-bot:
[mediawiki/services/citoid@master] Enable multiple results

https://gerrit.wikimedia.org/r/335008

mobrovac moved this task from Service to Waiting on Deploy on the Citoid board.Apr 13 2017, 3:27 PM
mobrovac removed a project: Patch-For-Review.

Mentioned in SAL (#wikimedia-operations) [2017-04-13T15:46:23Z] <mobrovac@tin> Started deploy [citoid/deploy@212800d]: Enable multiple results for T115248 and remove b/c for T114515

Mvolz added a comment.EditedApr 13 2017, 3:48 PM

This is live now for pmid/pmcid: Try 14656 as an example.

I think the dialog seems a bit crowded?

Mentioned in SAL (#wikimedia-operations) [2017-04-13T15:49:33Z] <mobrovac@tin> Finished deploy [citoid/deploy@212800d]: Enable multiple results for T115248 and remove b/c for T114515 (duration: 03m 10s)

A couple of screenshots:

At the topScrolled down a bit

Yeah, maybe a thin line to separate items would help? Also maybe we should limit each preview item's height to four or five lines and fade out with "…" so you can see there's a second/third result?

Mvolz updated the task description. (Show Details)May 1 2017, 4:23 PM
Mvolz moved this task from Waiting on Deploy to Service on the Citoid board.May 15 2017, 1:23 PM
Mvolz removed Mvolz as the assignee of this task.Nov 15 2018, 9:54 AM